[NumPy-Tickets] [NumPy] #1322: Scipy build fails on Mac OS X 10.5.8, Numpy import fails on Mac OS X 10.5.8

NumPy Trac numpy-tickets@scipy....
Wed Sep 29 07:53:43 CDT 2010


#1322: Scipy build fails on Mac OS X 10.5.8, Numpy import fails on Mac OS X 10.5.8
-------------------------------------------------------------------+--------
 Reporter:  ndufour                                                |       Owner:  cdavid
     Type:  defect                                                 |      Status:  new   
 Priority:  high                                                   |   Milestone:  1.5.1 
Component:  Official binaries                                      |     Version:        
 Keywords:  build failure import failure multiarray.so multiarray  |  
-------------------------------------------------------------------+--------
Changes (by rgommers):

  * status:  needs_info => new


Comment:

 Thanks for testing. For your comment on checking for multiarray.s (instead
 of .so), I see I made a copy-paste error above, in the {{{$ otool -l
 ...}}} line I meant {{{.so}}} of course. It's the output of the {{{otool
 -l}}} on multiarray.so that I was interested in.
 {{{
 /Library/Frameworks/Python.framework/Versions/2.6/lib/python2.6/site-
 packages/numpy/core/multiarray.so: unknown required load command
 0x80000022
 }}}

 I think the conclusion is that 10.5 binaries should be compiled on 10.5,
 no way around it. I'll remove the binary from SF again.

-- 
Ticket URL: <http://projects.scipy.org/numpy/ticket/1322#comment:18>
NumPy <http://projects.scipy.org/numpy>
My example project


More information about the NumPy-Tickets mailing list